Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.routing
Class RequestRouteRow

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.routing.RequestRouteRow

All Implemented Interfaces:
  java.io.Serializable

public class RequestRouteRow
extends Message
implements java.io.Serializable

Request a row from the routing table from another node.

Version:
  $Id: RequestRouteRow.java,v 1.6 2005/03/11 00:58:10 jeffh Exp $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`RequestRouteRow(Credentials cred, java.util.Date stamp, NodeHandle nh, int r)` Constructor.
`RequestRouteRow(Credentials cred, NodeHandle nh, int r)` Constructor.
`RequestRouteRow(java.util.Date stamp, NodeHandle nh, int r)` Constructor.
`RequestRouteRow(NodeHandle nh, int r)` Constructor.

Method Summary
`int` | `getRow()` Gets the row that made the request.
`NodeHandle` | `returnHandle()` The return handle for the message
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, getStream, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestRouteRow

    public RequestRouteRow(NodeHandle nh,
                           int r)

  Constructor.

Parameters:
  `nh` - the return handle.
  `r` - which row

### RequestRouteRow

    public RequestRouteRow(Credentials cred,
                           NodeHandle nh,
                           int r)

  Constructor.

Parameters:
  `cred` - the credentials.
  `nh` - the return handle.
  `r` - which row

### RequestRouteRow

    public RequestRouteRow(java.util.Date stamp,
                           NodeHandle nh,
                           int r)

  Constructor.

Parameters:
  `stamp` - the timestamp
  `nh` - the return handle
  `r` - which row

### RequestRouteRow

    public RequestRouteRow(Credentials cred,
                           java.util.Date stamp,
                           NodeHandle nh,
                           int r)

  Constructor.

Parameters:
  `cred` - the credentials.
  `stamp` - the timestamp
  `nh` - the return handle.
  `r` - which row

Method Detail

### getRow

    public int getRow()

  Gets the row that made the request.

  Returns:
    the row.

### returnHandle

    public NodeHandle returnHandle()

  The return handle for the message

  Returns:
    the node handle

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.